Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7682 - kdebase-1.1.2-11 (6.0 update) fails dependency check on rpm --freshen
Summary: kdebase-1.1.2-11 (6.0 update) fails dependency check on rpm --freshen
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kdebase
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-08 15:51 UTC by Megan Gentry
Modified: 2008-05-01 15:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-19 13:23:14 UTC


Attachments (Terms of Use)

Description Megan Gentry 1999-12-08 15:51:57 UTC
After copying over all the 6.0 updates for i386 RHL, I did the
following command:

	rpm -v --freshen --test *.rpm

and recieved the following error message:

	error: failed dependencies:
        	libqimgio.so.0 is needed by kdebase-1.1.2-11

Comment 1 Simon Hill 2000-01-19 04:04:59 UTC
This is merely due to the fact that qt1x-1.44-4.i386.rpm is not listed as a
necessary component for the update.

Comment 2 Bernhard Rosenkraenzer 2000-01-19 13:23:59 UTC
Fixed now - the current version requires qt1x >= 1.45

Comment 3 jeffc 2000-04-23 01:47:59 UTC
Having just struggled through reproducing this
exact problem (bare 6.0 system, applying the
updates from the errata page fails with the
missing dependency), I'm confused as to why
this bug is considered 'resolved'.

The 6.0 updates page (RHSA-1999:015-01) still
does not show the dependency on qt1x, and do
not state that --force is necessary for a
successful install.


Note You need to log in before you can comment on or make changes to this bug.